# Amuse: amuse::SongState Class Reference

amuse::SongState Class Reference

`#include <SongState.hpp>`

Collaboration diagram for amuse::SongState:

## Public Member Functions

void | initialize (const unsigned char *ptr)
bool | advance (Sequencer &seq, double dt)

## Friends

class | Voice

## Detailed Description

Real-time state of Song execution

Definition at line 21 of file SongState.hpp.

## Member Function Documentation

bool amuse::SongState::advance | ( | Sequencer & | seq,
|  | double | dt
| ) |  |

advances `dt` seconds worth of commands in the Song

Returns
  `true` if END reached

void amuse::SongState::initialize | ( | const unsigned char * | ptr | ) |

initialize state for Song data at `ptr`

The documentation for this class was generated from the following file:

- include/amuse/SongState.hpp